
package com.americamovil.dda._1.f.enviacontenido;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.americamovil.dda._1.f.enviacontenido package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MTContenidoRes_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaContenido", "MT_Contenido_res");
    private final static QName _MTContenido_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaContenido", "MT_Contenido");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.americamovil.dda._1.f.enviacontenido
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DTContenido }
     * 
     */
    public DTContenido createDTContenido() {
        return new DTContenido();
    }

    /**
     * Create an instance of {@link DTContenidoRes }
     * 
     */
    public DTContenidoRes createDTContenidoRes() {
        return new DTContenidoRes();
    }

    /**
     * Create an instance of {@link DTContenido.Registro }
     * 
     */
    public DTContenido.Registro createDTContenidoRegistro() {
        return new DTContenido.Registro();
    }

    /**
     * Create an instance of {@link DTContenidoRes.Respuesta }
     * 
     */
    public DTContenidoRes.Respuesta createDTContenidoResRespuesta() {
        return new DTContenidoRes.Respuesta();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTContenidoRes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaContenido", name = "MT_Contenido_res")
    public JAXBElement<DTContenidoRes> createMTContenidoRes(DTContenidoRes value) {
        return new JAXBElement<DTContenidoRes>(_MTContenidoRes_QNAME, DTContenidoRes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTContenido }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaContenido", name = "MT_Contenido")
    public JAXBElement<DTContenido> createMTContenido(DTContenido value) {
        return new JAXBElement<DTContenido>(_MTContenido_QNAME, DTContenido.class, null, value);
    }

}
